# MaterialStrand(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MaterialStrand`(bpy_struct)

  Strand settings for a Material data-block

  `blend_distance`

    Worldspace distance over which to blend in the surface normal

    Type: | float in [0, 10], default 0.0

  `root_size`

    Start size of strands in pixels or Blender units

    Type: | float in [0, inf], default 0.0

  `shape`

    Positive values make strands rounder, negative ones make strands spiky

    Type: | float in [-0.9, 0.9], default 0.0

  `size_min`

    Minimum size of strands in pixels

    Type: | float in [0.001, 10], default 0.0

  `tip_size`

    End size of strands in pixels or Blender units

    Type: | float in [0, inf], default 0.0

  `use_blender_units`

    Use Blender units for widths instead of pixels

    Type: | boolean, default False

  `use_surface_diffuse`

    Make diffuse shading more similar to shading the surface

    Type: | boolean, default False, (readonly)

  `use_tangent_shading`

    Use direction of strands as normal for tangent-shading

    Type: | boolean, default False

  `uv_layer`

    Name of UV map to override

    Type: | string, default “”, (never None)

  `width_fade`

    Transparency along the width of the strand

    Type: | float in [0, 2], default 0.0

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Material.strand` |